footer.enf1 {
    font-family: var(--footer-font-family);
    font-size: var(--footer-font-size);
    line-height: var(--footer-line-height);
    color: var(--footer-font-color);
    margin: var(--margin-top) 0 0 0;
}
footer.enf1 > div.enf-main {
    padding: var(--footer-main-padding-top) var(--footer-inner-margin-left-right) var(--footer-main-padding-bottom);
    background: var(--footer-main-background);
}
footer.enf1 a:any-link {
    text-decoration: none;
    color: inherit;
    display: inline-block;
}
footer.enf1 a:any-link:hover {
    color: var(--footer-font-color-hover);
    text-decoration: underline;
}
footer.enf1 > div.enf-main > div.enf-main-inner {
    width: min(100%, var(--en-website-width));
    height: var(--footer-inner-height);
    margin: 0 auto;
    display: grid;
    grid-template-columns: var(--logo-width) 1fr 1.2fr var(--misc2-container-width);
    grid-template-rows: auto 1fr auto;
    column-gap: var(--footer-inner-column-gap);
    row-gap: var(--footer-inner-row-gap);
}
footer.enf1 > div.enf-main > div.enf-main > * {
    overflow: hidden;
}
footer.enf1 .enf1-logo-cont {
    grid-row: 1 / 3;
    grid-column: 1;
    position: relative;
    display: flex;
    align-items: start;
    margin-top: var(--logo-margin-top);
    margin-left: var(--logo-margin-left);
    left: 0;
    top: 2px;
}
footer.enf1 .enf1-logo-cont a {
    width: 167px;
    height: 90px;
    background: url('/pics/footer_logo.png') no-repeat;
    position: relative;
    margin: -1px 0 0 -1px;
    background-size: 100%;
    top: -1px;
}
footer.enf1 div.enf-address,
footer.enf1 div.enf-address1,
footer.enf1 div.enf-address2 {
    align-self: center;
    padding: 0;
    font-family: var(--address-font-family);
    font-size: var(--address-font-size);
    color: var(--address-font-color);
    display: block;
    position: relative;
    letter-spacing: 0.4px;
    line-height: 21px;
    font-weight: 400;
    margin-left: 0;
}
footer.enf1 div.enf-address a,
footer.enf1 div.enf-address1 a,
footer.enf1 div.enf-address2 a {
    margin: 0 0 0 0.5px;
}
footer.enf1 div.enf-address p,
footer.enf1 div.enf-address1 p,
footer.enf1 div.enf-address2 p {
    margin: 0;
}
footer.enf1 > div.enf-subfooter {
    grid-row: 4;
    grid-column: 1 / 5;
    background: var(--subfooter-background);
    padding: var(--subfooter-padding-top) var(--subfooter-padding-left-right) var(--subfooter-padding-bottom);
    font-family: var(--subfooter-font-family);
    font-size: var(--subfooter-font-size);
    color: var(--subfooter-font-color);
    min-height: 42px;
}
footer.enf1 > div.enf-subfooter > div.enf-subfooter-inner {
    margin: 0 auto;
    width: min(100%, var(--en-website-width));
    display: grid;
    grid-template-columns: 1fr var(--subfooter-centercont-width) 1fr;
    grid-template-rows: 100%;
    align-items: center;
    min-height: 42px;
    z-index: 1;
    position: relative;
}
footer.enf1 > div.enf-subfooter > div.enf-subfooter-inner img {
    max-width: 100%;
    max-height: 100%;
    object-fit: scale-down;
    position: relative;
    z-index: 1;
}
footer.enf1 div.enf-subfooter-inner > div.enf-subfooter-center {
    grid-row: 1;
    grid-column: 2;
}
/* OPTIONS THAT EFFECT ALL SCREEN SIZES */
footer.enf1.enf1-4-3 div.enf-misc2 {
    justify-content: center;
    flex-direction: row;
}
footer.enf1.enf1logo-2-2 .enf1-logo-cont img {
    max-width: calc(100% - 2px);
    max-height: calc(100% - 2px);
    border: 1px solid var(--logo-border-color);
}
footer.enf1.enf1logo-2-3 .enf1-logo-cont img {
    max-width: calc(100% - 4px);
    max-height: calc(100% - 4px);
    border: 2px solid var(--logo-border-color);
}
footer.enf1.enf1logo-4-2 .enf1-logo-cont {
    overflow: visible;
}
footer.enf1.enf1logo-4-4 .enf1-logo-cont img {
    box-shadow: 0px 10px 6px -6px var(--logo-shadow-color);
}
footer.enf1.enf1logo-4-5 .enf1-logo-cont img {
    box-shadow: 0px -10px 6px -6px var(--logo-shadow-color);
}
footer.enf1 div.enf-misc2 {
    box-sizing: border-box;
    height: 100%;
    grid-row: 1 / 4;
    grid-column: 4;
    align-self: end;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    overflow: visible;
    position: relative;
}
footer.enf1 div.enf-misc2 a {
    display: flex;
    width: 100%;
    justify-content: center;
    margin: -9px 0 0 12px;
}
footer.enf1 div.enf-misc2 img {
    max-width: 100%;
    max-height: 100%;
}
footer#enfooter2 {
    position: relative;
}
.enf-address span.heading,
.enf-address1 span.heading,
.enf-address2 span.heading {
    color: #002c6d;
    font-size: clamp(14px, 1.78vw, 20px);
    font-family: var(--font3);
    line-height: clamp(18px, 1.87vw, 21px);
    letter-spacing: 0.5px;
    margin: 0 0 2px;
    padding: 0;
    font-weight: 400;
}
.enf-address span.fax,
.enf-address1 span.fax {
    margin: 0 1px 0 0;
}
.was {
    color: #333 !important;
    padding: 0;
    margin: 0 0 0 0.5px;
    font-size: 17px;
    line-height: 21px;
    font-weight: 400;
    font-family: 'Roboto', sans-serif;
    text-decoration: none;
    display: block;
    letter-spacing: 0.4px;
    position: relative;
    top: 7px;
}
/* OPTIONS THAT EFFECT ONLY LARGE AND MEDIUM SCREEN SIZES */
@media only screen and (min-width: 769px) {
    footer.enf1.enf1-1-2 > div.enf-main > div.enf-main-inner {
        grid-template-columns: var(--logo-width) auto auto auto auto;
        grid-template-rows: 1fr auto;
    }
    footer.enf1.enf1-1-2 .enf1-logo-cont {
        grid-row: 1 / 3;
    }
    footer.enf1.enf1-1-2 div.enf-address {
        grid-row: 1;
        grid-column: 2/3;
        display: flex;
        flex-direction: column;
        gap: 0;
        top: 0;
        left: 0;
        padding: 38px 0 0 35.5px;
    }
    footer.enf1.enf1-1-2 div.enf-address1 {
        grid-row: 1;
        grid-column: 3/4;
        display: flex;
        flex-direction: column;
        gap: 0;
        top: 0;
        left: 0;
        padding: 37px 0 0 29px;
    }
    footer.enf1.enf1-1-2 div.enf-address2 {
        grid-row: 1;
        grid-column: 4/5;
        display: flex;
        flex-direction: column;
        gap: 0;
        top: 0;
        left: 0;
        padding: 17px 0 0 25.8px;
    }
    footer.enf1.enf1-1-2 div.enf-address1 span.heading,
    footer.enf1.enf1-1-2 div.enf-address2 span.heading {
        left: -0.5px;
        position: relative;
    }
    footer.enf1.enf1-1-2 div.enf-misc2 {
        grid-row: 1 / 3;
        grid-column: 5/6;
    }
    footer.enf1.enf1-1-3 > div.enf-main > div.enf-main-inner {
        --remaining: calc((100% - var(--logo-width)) - 4 * var(--footer-inner-column-gap));
        grid-template-columns: calc(var(--remaining) * 0.27) calc(var(--remaining) * 0.23) var(--logo-width) 1fr var(--misc2-container-width);
        grid-template-rows: 1fr auto;
    }
    footer.enf1.enf1-1-3 .enf1-logo-cont {
        grid-row: 1 / 3;
        grid-column: 3;
    }
    footer.enf1.enf1-1-3 div.enf-address {
        grid-row: 2;
        grid-column: 1;
    }
    footer.enf1.enf1logo-1-2 .enf1-logo-cont {
        align-self: center;
    }
    footer.enf1.enf1logo-1-3 .enf1-logo-cont {
        align-self: end;
    }
    #edu_logo {
        position: relative;
        top: -1px;
        left: 0;
    }
}
@media only screen and (max-width: 768px) {
    footer.enf1 > div.enf-main > div.enf-main-inner {
        grid-template-columns: auto;
        grid-template-rows: auto;
        padding: 10px 0;
        row-gap: 10px;
    }
    footer.enf1 .enf1-logo-cont {
        grid-row: 1;
        grid-column: 1/3;
        justify-content: center;
        width: 150px;
        margin: 0 auto;
        left: 0;
    }
    footer.enf1 div.enf-address,
    footer.enf1 div.enf-address1,
    footer.enf1 div.enf-address2 {
        grid-column: 1 / 3;
        padding: 0;
        justify-content: center;
        align-items: center;
        width: 280px;
        margin: 0 auto;
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        gap: 5px;
    }
    footer.enf1 div.enf-address {
        grid-row: 3;
    }
    footer.enf1 div.enf-address1 {
        grid-row: 4;
    }
    footer.enf1 div.enf-address2 {
        grid-row: 5;
    }
    footer.enf1 div.enf-misc2 {
        grid-row: 6;
        grid-column: 1/3;
    }
    footer.enf1.enf1-1-2 > div.enf-main > div.enf-main-inner {
        grid-template-columns: 100%;
        grid-template-rows: 1fr auto;
    }
    footer.enf1 div.enf-misc2 {
        grid-row: 6;
        grid-column: 1/3;
        width: 250px;
        margin: 0 auto;
    }
    footer.enf1.enf1-1-2 > div.enf-main > div.enf-main-inner {
        grid-template-columns: 100%;
        text-align: center;
    }
    footer.enf1.enf1-1-2 div.enf-address a {
        margin: 0;
    }
    footer.enf1 > div.enf-subfooter > div.enf-subfooter-inner {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        gap: 8px;
    }
    footer.enf1 div.enf-misc2 a {
        justify-content: center;
        margin-top: 0;
        margin: 0;
    }
    footer.enf1 div.enf-address p br, footer.enf1 div.enf-address1 p br,footer.enf1 div.enf-address2 p br,
    footer.enf1.enf1-1-2 div.enf-address a br, footer.enf1.enf1-1-2 div.enf-address1 a br,footer.enf1.enf1-1-2 div.enf-address2 a br {
        display: none;
    }
    footer.enf1 > div.enf-subfooter {
        display: flex;
        justify-content: center;
        align-items: center;
        position: relative;
    }
    .was {
        top: 0;
    }
    footer.enf1 > div.enf-subfooter > div.enf-subfooter-inner {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        gap: 7px;
        padding: 5px 0;
        z-index: 1;
    }
    footer.enf1.enf1mob-1-2 div.enf-subfooter-inner > div.enf-subfooter-left {
        order: 1;
        top: 0;
    }
    footer.enf1 div.enf-subfooter-inner > div.enf-subfooter-center {
        order: 2;
        left: 0;
        top: 0;
    }
}
@media only screen and (min-width: 769px) and (max-width: 1120px) {
    footer.enf1.enf1-1-2 > div.enf-main > div.enf-main-inner {        
        grid-template-columns: var(--logo-width) auto auto auto auto;
        align-items: center;
        grid-gap: 10px;
        justify-content: center;
    }
    footer.enf1 .enf1-logo-cont a {
        width: clamp(110px, 17.91vw, 167px);
        margin: 0;
    }    
    footer.enf1.enf1-1-2 div.enf-address,
    footer.enf1.enf1-1-2 div.enf-address1,
    footer.enf1.enf1-1-2 div.enf-address2 {
        padding: 27px 0 0;
    }
    footer.enf1 div.enf-address, footer.enf1 div.enf-address1, footer.enf1 div.enf-address2 {
        align-self: start;
    } 
    .was {
        left: 5px;
    }   
}
@media only screen and (min-width: 1121px) {
    footer.enf1.enf1-1-2 > div.enf-main > div.enf-main-inner {
        grid-template-columns: var(--logo-width) 239.5px 276.5px 254.5px auto;
        grid-template-rows: 1fr auto;
    }
}